Bug 7779 - urpm-reposync not work for 2016.1
: urpm-reposync not work for 2016.1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: Denis Silakov
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-11 17:52 MSK by Vladimir Potapov
Modified: 2017-03-13 15:35 MSK (History)
0 users

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2017-03-11 17:52:06 MSK
urpm-reposync 
Загрузка списка установленных пакетов...
Обработка источника Main...
Traceback (most recent call last):
  File "/usr/sbin/urpm-reposync", line 947, in <module>
    Main()
  File "/usr/sbin/urpm-reposync", line 786, in Main
    repository.load_from_repository(ms)
  File "/usr/lib/python2.7/site-packages/rpm5utils/synthesis.py", line 421, in load_from_repository
    dep = NEVR.from_depstring(item, DE_toremove=nevr.DE)
  File "/usr/lib/python2.7/site-packages/rpm5utils/synthesis.py", line 152, in from_depstring
    raise Exception('Incorrect requirement string: ' + s)
Comment 1 Denis Silakov 2017-03-13 15:35:17 MSK
Fixed the reason of the failure in reiserfsprogs. In addition, fixed reposync not to fail in such cases.